org.apache.lucene.codecs.memory

## Class FSTOrdPostingsFormat

- java.lang.Object
- - org.apache.lucene.codecs.PostingsFormat
  - - org.apache.lucene.codecs.memory.FSTOrdPostingsFormat

All Implemented Interfaces:
  NamedSPILoader.NamedSPI

    public final class FSTOrdPostingsFormat
    extends PostingsFormat

FSTOrd term dict + Lucene50PBF

### Field Summary

### Fields inherited from class org.apache.lucene.codecs.PostingsFormat

`EMPTY`

### Constructor Summary

Constructors
Constructor and Description
`FSTOrdPostingsFormat()`

### Method Summary

All Methods Instance Methods Concrete Methods
`FieldsConsumer` `fieldsConsumer(SegmentWriteState state)`
`FieldsProducer` `fieldsProducer(SegmentReadState state)`
`String` `toString()`

### Methods inherited from class org.apache.lucene.codecs.PostingsFormat

`availablePostingsFormats, forName, getName, reloadPostingsFormats`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FSTOrdPostingsFormat

    public FSTOrdPostingsFormat()

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `PostingsFormat`

#### fieldsConsumer

    public FieldsConsumer fieldsConsumer(SegmentWriteState state)
                                  throws IOException

Specified by:
  `fieldsConsumer` in class `PostingsFormat`
Throws:
  `IOException`

#### fieldsProducer

    public FieldsProducer fieldsProducer(SegmentReadState state)
                                  throws IOException

Specified by:
  `fieldsProducer` in class `PostingsFormat`
Throws:
  `IOException`